org.apache.http.impl.auth

## Class SPNegoScheme

- java.lang.Object
- - org.apache.http.impl.auth.AuthSchemeBase
  - - org.apache.http.impl.auth.GGSSchemeBase
    - - org.apache.http.impl.auth.SPNegoScheme

- All Implemented Interfaces:
    AuthScheme ， ContextAwareAuthScheme

      public class SPNegoScheme
      extends GGSSchemeBase

  SPNEGO（简单和受保护的GSSAPI协商机制）认证方案。
  从以下版本开始：
    4.2

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.impl.auth.AuthSchemeBase

      `challengeState`

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `SPNegoScheme()`
    `SPNegoScheme(boolean stripPort)`
    `SPNegoScheme(boolean stripPort, boolean useCanonicalHostname)`

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Header` | `authenticate(Credentials credentials, HttpRequest request, HttpContext context)` 根据processChallenge创建的令牌生成SPNEGO授权头文件。
    `protected byte[]` | `generateToken(byte[] input, String authServer)`
    `protected byte[]` | `generateToken(byte[] input, String authServer, Credentials credentials)`
    `String` | `getParameter(String name)` 没有SPNEGO身份验证的有效参数，因此此方法始终返回 `null` 。
    `String` | `getRealm()` 认证领域的概念不被协商认证方案支持。
    `String` | `getSchemeName()` 返回给定认证方案的文本指定。
    `boolean` | `isConnectionBased()` 退货 `true` 。

    - ### Methods inherited from class org.apache.http.impl.auth.GGSSchemeBase

      `authenticate, generateGSSToken, generateGSSToken, getManager, isComplete, parseChallenge`

    - ### Methods inherited from class org.apache.http.impl.auth.AuthSchemeBase

      `getChallengeState, isProxy, processChallenge, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### 构造方法详细信息

    - #### SPNegoScheme

          public SPNegoScheme(boolean stripPort,
                      boolean useCanonicalHostname)

      从以下版本开始：
        4.4

    - #### SPNegoScheme

          public SPNegoScheme(boolean stripPort)

    - #### SPNegoScheme

          public SPNegoScheme()

  - ### 方法详细信息

    - #### getSchemeName

          public String getSchemeName()

      描述从接口`AuthScheme`复制
      返回给定认证方案的文本指定。
      结果
        给定的认证方案的名称

    - #### authenticate

          public Header authenticate(Credentials credentials,
                            HttpRequest request,
                            HttpContext context)
                              throws AuthenticationException

      根据processChallenge创建的令牌生成SPNEGO授权头文件。
      Specified by:
        `authenticate`在接口 `ContextAwareAuthScheme`
      重写：
        `authenticate`在 `GGSSchemeBase`
      参数
        `credentials` - SPNEGO方案未使用。
        `request` - 请求被认证
        `context` - HTTP上下文
      结果
        SPNEGO认证头文件
      异常
        `AuthenticationException` - 如果认证字符串由于身份验证失败而无法生成

    - #### generateToken

          protected byte[] generateToken(byte[] input,
                             String authServer)
                                  throws GSSException

      重写：
        `generateToken`类 `GGSSchemeBase`
      异常
        `GSSException`

    - #### generateToken

          protected byte[] generateToken(byte[] input,
                             String authServer,
                             Credentials credentials)
                                  throws GSSException

      重写：
        `generateToken`在 `GGSSchemeBase`类
      异常
        `GSSException`

    - #### getParameter

          public String getParameter(String name)

      没有SPNEGO身份验证的有效参数，因此此方法始终返回 `null` 。
      参数
        `name` - 要返回的参数的名称
      结果
        `null`

    - #### getRealm

          public String getRealm()

      认证领域的概念不被协商认证方案支持。 始终返回`null` 。
      结果
        `null`

    - #### isConnectionBased

          public boolean isConnectionBased()

      退货`true` 。 SPNEGO认证方案是基于连接的。
      结果
        `true`.

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585